CloudPloy

API Documentation

Integrate with CloudPloy's powerful APIs to automate deployments and manage your applications.

Quick Start

Authentication

curl -H "Authorization: Bearer YOUR_API_TOKEN" \
  https://api.cloudploy.com/v1/apps

Deploy Application

curl -X POST \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{"repo": "username/repo"}' \
  https://api.cloudploy.com/v1/deployments

Core Endpoints

GET /apps

List all applications

POST /apps

Create new application

PUT /apps/:id

Update application settings

DELETE /apps/:id

Delete application

Deployment API

GET /deployments

List deployment history

POST /deployments

Trigger new deployment

GET /deployments/:id

Get deployment status

POST /rollback

Rollback deployment

Official SDKs

📱

JavaScript

npm install @cloudploy/sdk
🐍

Python

pip install cloudploy
💎

Ruby

gem install cloudploy
🐹

Go

go get github.com/cloudploy/sdk

Usage Examples

Deploy from GitHub

const cloudploy = require('@cloudploy/sdk');

const client = new cloudploy.Client('YOUR_API_TOKEN');

const deployment = await client.deployments.create({
  app_id: 'your-app-id',
  repository: 'username/repository',
  branch: 'main'
});

console.log('Deployment ID:', deployment.id);

Monitor Deployment Status

const status = await client.deployments.get(deployment.id);

console.log('Status:', status.state);
console.log('URL:', status.url);

if (status.state === 'deployed') {
  console.log('✅ Deployment successful!');
}